\name{getExtension}
\alias{getExtension}
\title{get the extension of a path}
\usage{
  getExtension(path, preserveCase = FALSE)
}
\arguments{
  \item{path}{the path to get the extension of}

  \item{preserveCase}{boolean, default FALSE.  Whether or
  not to preserve the case of the extension.  If FALSE,
  returns lowercase.}
}
\value{
  the extension of the path, being the text from the last
  '.' to the end.  If no extension, returns ''.
}
\description{
  get the extension of a path
}
\seealso{
  Other file: \code{\link{createFilename}},
  \code{\link{dir.browse}}, \code{\link{file.browse}},
  \code{\link{getFilename}},
  \code{\link{getUniqueFilename}},
  \code{\link{makeIfNotExists}}
}

